Cocos2D Installer Updated (v1.0 rc3)

On June 1, 2011, in cocos2d, by Steffen Itterheim

The Cocos2D Installer has been superseded by Kobold2D!

Since you’re looking to install Cocos2D, you may be interested to hear about the Kobold2D game engine. Kobold2D is designed to make Cocos2D developers more productive. Of course it comes with an installer, and includes Cocos2D.

Original Post

With the release of the unstable cocos2d-iphone v1.0.0 rc3 version today I’ve updated the Cocos2D Installer to include this new version, as well as an updated version of Cocos3D (v0.5.4). The installer will install the Xcode templates for you for both cocos2d and cocos3d in both Xcode 3 and Xcode 4 versions.

Download the Cocos2D Installer (66 MB)

The Cocos2D installer includes cocos2d-iphone v0.99.5 (stable) & v1.0.0 rc3 (unstable) and cocos3d v0.5.4.

Cocos2D/Cocos3D will be installed to the user’s Documents folder in appropriately named subfolders. You can move these folders after installation to another folder without breaking anything.

This article was brought to you by ...

I very much enjoy the learning process, the pushing of boundaries (mine and yours and that of technology), having the freedom to pursue whatever is on my mind, to boldly program what no one has programmed before, and to write about what I've learned. Help me help you by browsing the products in the Learn Cocos2D Store.

Tagged with:  

6 Responses to “Cocos2D Installer Updated (v1.0 rc3)”

  1. David temple says:

    Hi Stefan, can you tell me what the advantage this installer has over the one that comes with cocos2d. Cheers. David

    • The advantage is that cocos2d doesn’t have an installer. By installer I mean a graphical user interface that you run to install the cocos2d files and Xcode templates. No need to run Terminal to run the script (users keep running into problems doing this manually).

  2. jandujar says:

    Nice work Steffen

  3. Sappsgames says:

    Steffen you are so helpful!

    Thanks for everything + your book!

  4. mikezang says:

    Is this for the newest v1.0.0?